
QGIS Application - Bug report #2679

QGIS in conjunction with GEOS-3.2.2 produces wrong geometries with Python

2010-04-26 03:32 AM - Horst Düster

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 12739

Description

With GEOS-3.2.2 the [[PyQgis]]-Code snippet below produces wrong coordinate pairs. The wrong output of str(k) p.e. is:

(226020,226020)

(226023,226023)

(226024,226024)

with GEOS-3.1.0 the correct value pairs are produced:

(621500,226020)

(621503,226023)

(621510,226024)

   mRubberBand = [[QgsRubberBand]](self.iface.mapCanvas())

   g = [[QgsGeometry]].fromWkt(geometry)    

    if geometryType == "MULTIPOLYGON":

      for i in g.asMultiPolygon():

        index = 0

        for n in i:

          for k in n: 

            mRubberBand.addPoint(k,  False,  index)

            print str(k)

          index = index + 1

History

#1 - 2010-06-12 02:26 AM - Paolo Cavallini

Is this a QGIS error, or a GEOS one?

#2 - 2010-09-19 08:18 AM - Paolo Cavallini

Please check: if it is a GEOS bug, close this and forward it to the appropriate trac.

#3 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4
#4 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2015-07-12 03:54 PM - Nyall Dawson

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

Closed due to lack of feedback (also GEOS 3.2 is ancient). Please reopen if still an issue with current versions.
